-- phpMyAdmin SQL Dump
-- version 4.7.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Creato il: Apr 20, 2020 alle 13:59
-- Versione del server: 10.1.25-MariaDB
-- Versione PHP: 7.1.7

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `torregatti`
--
CREATE DATABASE IF NOT EXISTS `torregatti` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `torregatti`;

-- --------------------------------------------------------

--
-- Struttura della tabella `agenti`
--

CREATE TABLE `agenti` (
  `id` int(255) NOT NULL,
  `nome` varchar(1024) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dump dei dati per la tabella `agenti`
--

INSERT INTO `agenti` (`id`, `nome`) VALUES
(1, 'Squall'),
(2, 'Zell'),
(3, 'Rinoa');

-- --------------------------------------------------------

--
-- Struttura della tabella `clienti`
--

CREATE TABLE `clienti` (
  `id` int(255) NOT NULL,
  `nome` varchar(100) NOT NULL,
  `indirizzo` varchar(1024) NOT NULL,
  `telefono` varchar(100) NOT NULL,
  `agente` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dump dei dati per la tabella `clienti`
--

INSERT INTO `clienti` (`id`, `nome`, `indirizzo`, `telefono`, `agente`) VALUES
(1, 'Mario Rossi', 'Via Roma 1', '00569865', 3),
(2, 'Luigi Verdi', 'Via Milano 12', '00495233', 3),
(3, 'Gianni Bianchi', 'Via Genova 123', '00683581', 3),
(4, 'Chiara Rossi', 'Via Pescara 54', '00401299', 2),
(5, 'Luisa Neri', 'Via Ottima 77', '00279150', 3),
(6, 'Giovanni Celesti', 'Via Belli 16', '00515977', 2),
(7, 'Marco Bruni', 'Via Neri 10', '00161097', 3),
(8, 'Sergio Sereni', 'Via Savona 15', '00121871', 2),
(9, 'Paolo Lumi', 'Via Novara 19', '00554018', 3),
(10, 'Paola Neri', 'Via Padova 199', '00249472', 3),
(11, 'Pietro Chiari', 'Via Pietra 290', '00600550', 2),
(12, 'Fabio Rossi', 'Via Venezia 2', '00270185', 2),
(13, 'Giuseppe Blandi', 'Via Napoli 8', '00462208', 3),
(14, 'Aldo Valdi', 'Via Vesuvio 200', '00572389', 2),
(15, 'Piero Storni', 'Via Otranto 9', '00278110', 3),
(16, 'Luigi L\'Avigno', 'Via Dell\'Altro', '055123456', 3),
(17, 'Luigi L\'Avigno', 'Via Dell\'Altro', '055123456', 3),
(18, 'Luisa Nerini', 'Via Delle Prova 24', '0551234567', 1);

-- --------------------------------------------------------

--
-- Struttura stand-in per le viste `clienti_agenti`
-- (Vedi sotto per la vista effettiva)
--
CREATE TABLE `clienti_agenti` (
`id` int(255)
,`nome` varchar(100)
,`indirizzo` varchar(1024)
,`telefono` varchar(100)
,`agente` int(255)
,`nome_agente` varchar(1024)
);

-- --------------------------------------------------------

--
-- Struttura per la vista `clienti_agenti`
--
DROP TABLE IF EXISTS `clienti_agenti`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `clienti_agenti`  AS  select `c`.`id` AS `id`,`c`.`nome` AS `nome`,`c`.`indirizzo` AS `indirizzo`,`c`.`telefono` AS `telefono`,`c`.`agente` AS `agente`,`a`.`nome` AS `nome_agente` from (`clienti` `c` join `agenti` `a`) where (`c`.`agente` = `a`.`id`) ;

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `agenti`
--
ALTER TABLE `agenti`
  ADD PRIMARY KEY (`id`);

--
-- Indici per le tabelle `clienti`
--
ALTER TABLE `clienti`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `agenti`
--
ALTER TABLE `agenti`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT per la tabella `clienti`
--
ALTER TABLE `clienti`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
